
package de.ivu.elect.presentation.entschaedigung.menu;

import javax.inject.Inject;

import de.ivu.elect.business.entschaedigung.entity.AuszahlungMeta;
import de.ivu.elect.jee.entity.Meta;
import de.ivu.elect.presentation.entschaedigung.exchange.AuszahlungExportDescription;
import de.ivu.elect.presentation.exchange.ExportDescription;
import de.ivu.elect.presentation.exchange.menu.AbstractExportMenuItemEntry;

public class AuszahlungExportMenuItemEntry extends AbstractExportMenuItemEntry {

  private static final long serialVersionUID = 1L;

  @Inject
  private transient AuszahlungMeta auszahlungMeta;

  @Inject
  private transient AuszahlungExportDescription auszahlungExportDescription;

  public AuszahlungExportMenuItemEntry() {
    super();
  }

  @Override
  protected ExportDescription getExportDescription() {
    return auszahlungExportDescription;
  }

  @Override
  protected boolean isDisabledInternal() {
    return !isWahlSelected() && !isWahlterminSelected();
  }

  @Override
  protected Meta getMeta() {
    return auszahlungMeta;
  }
}
